intactInteraction-class {Rintact} | R Documentation

## Class "intactInteraction"

### Description

A class representing interaction data.

### Objects from the Class

Objects are usually created by `psi25interaction`.

### Slots

`intact`:
  character, IntAct ID of the interaction.
`interactionType`:
  character, the method used for detecting the interaction, such as pull down.
`expPubMed`:
  character, PubMed ID of the publication that describes the experiment.
`expIntAct`:
  character, IntAct ID of the experiment.
`confidenceValue`:
  character, confidence value of the experimental interaction.
`bait`:
  character, UniProt ID of the bait.
`prey`:
  character, UniProt ID(s) of the prey(s).
`inhibitor`:
  character, UniProt ID of the inhibitor, NA is missing.
`neutralComponent`:
  character, UniProt ID of the neutral components, NA is missing.

### Methods

show
  `signature(object = "intactInteraction")`: a print method
bait
  `signature(object = "intactInteraction")`: a method to find all the baits within the intactInteraction class and print them
prey
  `signature(object = "intactInteraction")`: a method to find all the prey within the intactInteraction class and print them

### Author(s)

Nianhua Li

### See Also

`psi25interaction`

[Package Rintact version 1.4.0 Index]